# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rclonedecrypt"
version = "0.2.25"
authors = [
    "github.com/mcolatosti",
    "github.com/pepa65",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI to decrypt rclone-encrypted files"
documentation = "https://docs.rs/rclonedecrypt"
readme = "README.md"
keywords = [
    "rclone",
    "decode",
    "cli",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/pepa65/rclonedecrypt"

[package.metadata.binstall]
pkg-url = "{repo}/releases/download/{version}/{name}"
pkg-fmt = "bin"
disabled-strategies = [
    "quick-install",
    "compile",
]
target-family = "Linux"
target-arch = "X86_64"

[[bin]]
name = "rclonedecrypt"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.base64]
version = "0"

[dependencies.clap]
version = "4.0"
features = [
    "cargo",
    "derive",
]

[dependencies.hex]
version = "0.4"

[dependencies.scrypt]
version = "0.11"

[dependencies.sodiumoxide]
version = "0.2"

[dependencies.thiserror]
version = "2.0"
